Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Port to QT5 #3463

Open
Clementine-Issue-Importer opened this issue Dec 13, 2013 · 37 comments

Comments

Projects
None yet
@Clementine-Issue-Importer
Copy link

commented Dec 13, 2013

From ottomodi...@gmail.com on January 31, 2013 17:27:00

People (or at least KDE) are moving to QT5, so Clementine should too! :)
Maybe it's a little too early for this though.

Original issue: http://code.google.com/p/clementine-player/issues/detail?id=3463

@Clementine-Issue-Importer

This comment has been minimized.

Copy link
Author

commented Dec 13, 2013

From xxttrree...@gmail.com on February 01, 2013 09:28:21

+1 in the future BUT, as some say: don't fix when ain't broken (for now) secondly even 4.8.1 theme support and performance is IMHO satisfying enough, secondly, there are higher priorities right? Shouldn't we wait for wider adoption of 5.1?

@Clementine-Issue-Importer

This comment has been minimized.

Copy link
Author

commented Dec 13, 2013

From arnaud.bienner on February 02, 2013 07:06:57

We will probably do this one day, but not now as, among other thing, it will be more difficult to provide builds for earlier releases of Linux distributions which don't package Qt5.

Labels: -Priority-Medium Priority-Low

@shaforostoff

This comment has been minimized.

Copy link

commented Jan 26, 2015

https://wiki.ubuntu.com/VividVervet/Alpha2/Kubuntu has KDE5 as default. And fedora is going to have it as well in May release.

with Qt5 your ui is going to be faster on linux because Qt5 uses xcb protocol to communicate with X11, and besides Qt5 supports Wayland, a modern OpenGL-based replacement of X11 (Fedora will ship an experimental Wayland session).

btw I think you can have this task as a GSoC 2015 project

@Chocobozzz

This comment has been minimized.

Copy link
Contributor

commented Apr 7, 2015

Work (slowly) in progress.

@collectorofbones

This comment has been minimized.

Copy link

commented May 30, 2016

don't fix when ain't broken

for now it's clear that it IS broken, Gentoo stabilized qt5 and kde plasma. sad story is that even amarok isn't qt5 ready and there seems to be no qt5-music-player available at all ...

how much work it needs to be moved to qt5?

@Korvox

This comment has been minimized.

Copy link
Contributor

commented May 30, 2016

Most of it is already done (by Choco) in the qt5 branch, go clone it and break it and fix whatever breaks until it works, or if you cannot fix the bugs make bug reports here tagged with qt5.

@siddharthist

This comment has been minimized.

Copy link

commented Jan 13, 2017

Is there a status update on this? Seems like the qt5 branch is still getting updated a lot but it's also been ~8 months since the last post here.

@Chocobozzz

This comment has been minimized.

Copy link
Contributor

commented Jan 14, 2017

See #5334

@Fat-Zer

This comment has been minimized.

Copy link
Contributor

commented Mar 7, 2017

I may help up on merging qt5 branch workarounds into master (so it would be possible to choose the version against which to build on configuration stage), if it would be appreciated on current stage...

@supagu

This comment has been minimized.

Copy link

commented Jul 25, 2017

Is there any eta on when an actual qt5 release will be available for linux? I noticed the solus project distro are also waiting for a qt5 version before adding it to their repo's...

https://dev.solus-project.com/T272

@horazont

This comment has been minimized.

Copy link

commented Aug 16, 2017

@Chemrat

This comment has been minimized.

Copy link
Contributor

commented Oct 4, 2017

Any reasons why Qt5 branch haven't been merged into master yet? Maybe some bugs that need to be fixed first? Quick glance at issue list doesn't really show anything major, although qt5 label would help.

@hatstand

This comment has been minimized.

Copy link
Contributor

commented Oct 4, 2017

An automated qt5 build for mac & windows as part of our docker images is probably the biggest blocker.

@pavelvat

This comment has been minimized.

Copy link
Contributor

commented Oct 4, 2017

@Chemrat see #5334. For Windows - #5584, #5669 still not merged.

@peterhoeg

This comment has been minimized.

Copy link

commented Oct 5, 2017

A number of us are having issues with running the qt5 branch ref #5753.

@trougnouf

This comment has been minimized.

Copy link

commented Nov 6, 2017

@peterhoeg isn't issue #5753 irrelevant to the Qt version?

@peterhoeg

This comment has been minimized.

Copy link

commented Nov 7, 2017

It kind of depends - that issue is present on qt4 and 5, yes, but in terms of getting the qt5 version ready it's still a critical issue.

@a17r

This comment has been minimized.

Copy link

commented Nov 19, 2017

@peterhoeg if it's not a regression relative to master but to the last release, that would not block merge to master though. It would need to be fixed in master as well, anyway.

@plater

This comment has been minimized.

Copy link

commented Jan 4, 2018

openSUSE is in the process of removing libQtWebKit4, haven't looked at how this affects the functionality yet.

@a17r

This comment has been minimized.

Copy link

commented Jan 4, 2018

openSUSE is in the process of removing libQtWebKit4, haven't looked at how this affects the functionality yet.

@plater None I can see, the dep is long gone with just some leftover in the CMakeLists.txt. See also #5945

@plater

This comment has been minimized.

Copy link

commented Jan 4, 2018

Good to know, any idea when the qt5 branch will be merged?
I'm slowly packaging it and will test it myself.
I maintain clementine for openSUSE.

@miku84

This comment has been minimized.

Copy link

commented Jan 18, 2018

It would be good to have ASAP :)

@K73SK

This comment has been minimized.

Copy link

commented Jan 20, 2018

Agreed, if this can be done asap that'd be great. Just removed all the QT4 stuff from my Gentoo install to find out that Clementine didn't have a QT5 update... Not going to go through the hell/mayhem I went through to get QT4 completely removed just for Clementine. Unfortunately, this also means I need a temporary alternative to Clementine in the meantime. Clementine is my fav. audio player - the sooner the better!

@Chemrat

This comment has been minimized.

Copy link
Contributor

commented Jan 20, 2018

media-sound/clementine-9999 in Gentoo uses Qt5 branch

@ChauhanT

This comment has been minimized.

Copy link

commented Jan 20, 2018

In this day and age. Why gentoo ? T__T

@a17r

This comment has been minimized.

Copy link

commented Jan 20, 2018

That's a strange question, but let's stay ontopic here.

@K73SK

This comment has been minimized.

Copy link

commented Jan 21, 2018

@Chemrat That worked perfectly, thank you! Glad to be back on Clementine already :)

@luigino

This comment has been minimized.

Copy link

commented Mar 8, 2018

Is there an ETA for this?

@fitojb

This comment has been minimized.

Copy link
Contributor

commented Apr 15, 2018

See also https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=874850, tracking Qt4 removal from Debian Buster.

@gracicot

This comment has been minimized.

Copy link

commented Jun 13, 2018

There is already discussions about qt6: http://blog.qt.io/blog/2018/06/13/qt-contributors-summit-2018-wrap/

@Sunderland93

This comment has been minimized.

Copy link

commented Jun 14, 2018

It's a shame that even Qt5 is low priority

@horazont

This comment has been minimized.

Copy link

commented Jun 14, 2018

I subscribed to this issue to be kept up to date with progress. I (and I bet a whole bunch of other people, including probably the developers) would appreciate it if we could have less "I want this too" or "You are so late supporting Qt5" noise in here. If you’re not ready to continue the work to port to Qt5, please don’t take even more time off other peoples hands by spamming their emails.

@gracicot

This comment has been minimized.

Copy link

commented Jun 14, 2018

I agree with you @horazont . I didn't meant my update to be one of those message, I thought that Qt6 might coming faster that some of us thought, and that could be valuable information that can potentially affect decisions. I'm not deep into Qt, but it's a possibility that they remove some old deprecated stuff when bumping a major version.

@MartinDelille

This comment has been minimized.

Copy link

commented Nov 2, 2018

I'm a Qt5 developer specialised in audio and multimedia application. I'll be happy to help. I tried to compile the qt5 branch but it fails.

Here is my CMakeOutput.log: https://pastebin.com/ST49ZfGP

@sicherha

This comment has been minimized.

Copy link

commented Nov 2, 2018

FYI, Fedora now ships a Qt5 build of Clementine as of F29.
https://src.fedoraproject.org/cgit/rpms/clementine.git/tree/

@MartinDelille

This comment has been minimized.

Copy link

commented Nov 2, 2018

I'm on macOS 10.13 for your information.

@a17r

This comment has been minimized.

Copy link

commented Nov 8, 2018

@MartinDelille: This is not the right place for your specific issue, you should probably open a separate issue and attach a verbose build.log.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.